#version 150

in vec4 vertexColor;

uniform vec4 ColorModulator;

out vec4 fragColor;

void main( ){
    vec4 color = vertexColor;
    if (color.a == 0.0) {
        discard;
    }

/*
color.a = 1;
*/



/*
if(color.r <= 256/255.0 && color.r > -1/255.0 && color.g <= 256/255.0 && color.g > -1/255.0 && color.b <= 256/255.0 && color.b > -1/255.0 && color.a <= 256/255.0 && color.a > -1/255.0){
color = vec4(0.902, 0.2686, 0.2941, 1);
} 
*/




 


/* Behind GUI Screen Tint */
if(color.r <= 20.0/255.0 && color.r > 0.0/255.0 && color.g <= 20.0/255.0 && color.g > 0.0/255.0 && color.b <= 20.0/255.0 && color.b > 0.0/255.0){
color = vec4(0.27, 0.21, 0.20, 0.65);
}

/* Loading Screen Background Color */
if (color.r == 239.0/255.0 && color.g == 50.0/255.0 && color.b == 61.0/255.0) {
color = vec4(0.66, 0.31, 0.31, 1.0);
}

/* Unsupported Resourcepack BG */
if(color.r <= 120.0/255.0 && color.r > 118.0/255.0 && color.g <= 1.0/255.0 && color.g > -1.0/255.0 && color.b <= 1.0/255.0 && color.b > -1.0/255.0){
color = vec4(0.66, 0.31, 0.31, 1.0);
}

/* Thumbnail Hover BG */
if(color.r <= 145.0/255.0 && color.r > 143.0/255.0 && color.g <= 145.0/255.0 && color.g > 143.0/255.0 && color.b <= 145.0/255.0 && color.b > 143.0/255.0){
color = vec4(0.8902, 0.8118, 0.7686, 0.35);
}

/* Menu Black BG */
if(color.r <= 1.0/255.0 && color.r > -1.0/255.0 && color.g <= 1.0/255.0 && color.g > -1.0/255.0 && color.b <= 1.0/255.0 && color.b > -1.0/255.0){
color = vec4(0.27, 0.21, 0.20, .65);
}


/* Scrollbar Highlight */
if(color.r <= 193.0/255.0 && color.r > 191.0/255.0 && color.g <= 193.0/255.0 && color.g > 191.0/255.0 && color.b <= 193.0/255.0 && color.b > 191.0/255.0){
color = vec4(0.549, 0.4431, 0.4078, .50);
}

/* Scrollbar Shadow */
if(color.r <= 129.0/255.0 && color.r > 127.0/255.0 && color.g <= 129.0/255.0 && color.g > 127.0/255.0 && color.b <= 129.0/255.0 && color.b > 127.0/255.0){
color = vec4(0.4941, 0.3843, 0.3686, .50);
}


/* ToolTip Background Color */
if (color.r == 16.0/255.0 && color.g == 0.0/255.0 && color.b == 16.0/255.0 ) {
color = vec4(0.21, 0.20, 0.15, .85);
}

/* Tooltip Border Color */
if (color.r >= 0.15686/255.0 && color.r <= 0.31373/255.0 && color.g == 0.0 && color.b >= 0.49/255.0 && color.b <= 1.0) {
color = vec4(0.44, 0.22, 0.23, 1.0);
}

/* ToolTip Hightlight Text Color */
if (color.r == 84.0/255.0 && color.g == 84.0/255.0 && color.b == 252.0/255.0 ) {
color = vec4(0.2667, 0.2078, 0.2, 0.95);
}




/* Unavailable Craft Color Hover */
if (color.r == 255.0/255.0 && color.g == 0.0/255.0 && color.b == 0.0/255.0 && color.a >= 48.0/255.0 && color.a <= 49.0/255.0) {
color = vec4(0.66 ,0.31, 0.31, .50);
}

/* Inventory Slot Hover Color */
if (color.r == 255.0/255.0 && color.g == 255.0/255.0 && color.b == 255.0/255.0 && color.a == 128.0/255.0) {
color = vec4(0.27, 0.21, 0.20, .50);
}





/* World Loading Screen Black */
if(color.r <= 7.0/255.0 && color.r > 5.0/255.0 && color.g <= 5.0/255.0 && color.g > 3.0/255.0 && color.b <= 5.0/255.0 && color.b > 3.0/255.0){
color = vec4(0.27, 0.21, 0.20, 1.0);
} 

/* World Loading Screen Grey */
if(color.r <= 154.0/255.0 && color.r > 152.0/255.0 && color.g <= 154.0/255.0 && color.g > 152.0/255.0 && color.b <= 154.0/255.0 && color.b > 152.0/255.0){
color = vec4(0.55, 0.44, 0.41, 1.0);
} 

/* World Loading Screen White */
if(color.r <= 256.0/255.0 && color.r > 254.0/255.0 && color.g <= 256.0/255.0 && color.g > 254.0/255.0 && color.b <= 256.0/255.0 && color.b > 254.0/255.0){
color = vec4(0.91,0.86,0.80, .95);
} 

/* World Loading Screen Lime */
if(color.r <= 129.0/255.0 && color.r > 127.0/255.0 && color.g <= 179.0/255.0 && color.g > 177.0/255.0 && color.b <= 83.0/255.0 && color.b > 81.0/255.0){
color = vec4(0.60, 0.59, 0.15, 1.0);
} 

/* World Loading Screen Blue */
if(color.r <= 49.0/255.0 && color.r > 47.0/255.0 && color.g <= 54.0/255.0 && color.g > 52.0/255.0 && color.b <= 115.0/255.0 && color.b > 113.0/255.0){
color = vec4(0.02, 0.50, 0.64, 1.0);
} 

/* World Loading Screen Dark Purple */
if(color.r <= 96.0/255.0 && color.r > 94.0/255.0 && color.g <= 98.0/255.0 && color.g > 96.0/255.0 && color.b <= 146.0/255.0 && color.b > 143.0/255.0){
color = vec4(0.40, 0.30, 0.43, 1.0);
} 

/* World Loading Screen Green */
if(color.r <= 34.0/255.0 && color.r > 32.0/255.0 && color.g <= 199.0/255.0 && color.g > 197.0/255.0 && color.b <= 1.0/255.0 && color.b > -1.0/255.0){
color = vec4(0.47, 0.47, 0.13, 1.0);
} 

/* World Loading Screen Light Gray */
if(color.r <= 210.0/255.0 && color.r > 203.0/255.0 && color.g <= 210.0/255.0 && color.g > 203.0/255.0 && color.b <= 210.0/255.0 && color.b > 203.0/255.0){
color = vec4(0.62, 0.51, 0.46, 1.0);
} 
 
/* World Loading Screen Light Light Gray */
if(color.r <= 239.0/255.0 && color.r > 237.0/255.0 && color.g <= 239.0/255.0 && color.g > 237.0/255.0 && color.b <= 239.0/255.0 && color.b > 237.0/255.0){
color = vec4(0.66, 0.57, 0.49, 1.0);
} 
 
/* World Loading Screen Dark Gray */
if(color.r <= 110.0/255.0 && color.r > 108.0/255.0 && color.g <= 103.0/255.0 && color.g > 101.0/255.0 && color.b <= 93.0/255.0 && color.b > 91.0/255.0){
color = vec4(0.49, 0.38, 0.37, 1.0);
} 
 
/* World Loading Screen Dark Yellow */
if(color.r <= 115.0/255.0 && color.r > 113.0/255.0 && color.g <= 105.0/255.0 && color.g > 103.0/255.0 && color.b <= 10.0/255.0 && color.b > 8.0/255.0){
color = vec4(0.70, 0.51, 0.26, 1.0);
}

/* World Loading Screen Red */
if(color.r <= 243.0/255.0 && color.r > 241.0/255.0 && color.g <= 97.0/255.0 && color.g > 95.0/255.0 && color.b <= 97.0/255.0 && color.b > 95.0/255.0){
color = vec4(0.66, 0.31, 0.31, 1.0);
}


/* Player Reporting GUI Player BG */
if(color.r <= 75.0/255.0 && color.r > 73.0/255.0 && color.g <= 75.0/255.0 && color.g > 73.0/255.0 && color.b <= 75.0/255.0 && color.b > 73.0/255.0){
color = vec4(0.3529, 0.2863, 0.2627, 1);
}

/* Player Reporting GUI Search Bar Outline */
if(color.r <= 162.0/255.0 && color.r > 158.0/255.0 && color.g <= 162.0/255.0 && color.g > 158.0/255.0 && color.b <= 162.0/255.0 && color.b > 158.0/255.0){
color = vec4(0.91, 0.86, 0.80, 1.0);
}



/* New World Text Field Outline */
if(color.r <= 163.0/255.0 && color.r > 159.0/255.0 && color.g <= 162.0/255.0 && color.g > 158.0/255.0 && color.b <= 160.0/255.0 && color.b > 156.0/255.0){
color = vec4(0.91, 0.86, 0.80, 1.0);
}



    fragColor = color * ColorModulator;
}
