#version 150

in vec4 vertexColor;

uniform vec4 ColorModulator;

out vec4 fragColor;

void main() {
    vec4 color = vertexColor;
    if (color.a == 0.0) {
        discard;
    }

/*
color.a = 1;
*/



/*
if(color.r <= 256/255.0 && color.r > -1/255.0 && color.g <= 256/255.0 && color.g > -1/255.0 && color.b <= 256/255.0 && color.b > -1/255.0 && color.a <= 256/255.0 && color.a > -1/255.0){
color = vec4(0.902, 0.2686, 0.2941, 1);
} 
*/




 


/* Behind GUI Screen Tint */
if(color.r <= 20/255.0 && color.r > 0/255.0 && color.g <= 20/255.0 && color.g > 0/255.0 && color.b <= 20/255.0 && color.b > 0/255.0){
color = vec4(0.1451, 0.0941, 0.1216, 0.75);
}

/* Loading Screen Background Color */
if (color.r == 239.0/255.0 && color.g == 50.0/255.0 && color.b == 61.0/255.0) {
color = vec4(0.2863, 0.2314, 0.2157, 1);
}

/* Unsupported Resourcepack BG */
if(color.r <= 120/255.0 && color.r > 118/255.0 && color.g <= 1/255.0 && color.g > -1/255.0 && color.b <= 1/255.0 && color.b > -1/255.0){
color = vec4(0.702, 0.3255, 0.3294, 0.35);
}

/* Thumbnail Hover BG */
if(color.r <= 145/255.0 && color.r > 143/255.0 && color.g <= 145/255.0 && color.g > 143/255.0 && color.b <= 145/255.0 && color.b > 143/255.0){
color = vec4(0.8902, 0.8118, 0.7686, 0.35);
}

/* Menu Black BG */
if(color.r <= 1/255.0 && color.r > -1/255.0 && color.g <= 1/255.0 && color.g > -1/255.0 && color.b <= 1/255.0 && color.b > -1/255.0){
color = vec4(0.0235, 0.0157, 0.0157, color.a);
}


/* Scrollbar Highlight */
if(color.r <= 193/255.0 && color.r > 191/255.0 && color.g <= 193/255.0 && color.g > 191/255.0 && color.b <= 193/255.0 && color.b > 191/255.0){
color = vec4(0.549, 0.4431, 0.4078, 1);
}

/* Scrollbar Shadow */
if(color.r <= 129/255.0 && color.r > 127/255.0 && color.g <= 129/255.0 && color.g > 127/255.0 && color.b <= 129/255.0 && color.b > 127/255.0){
color = vec4(0.4941, 0.3843, 0.3686, 1);
}


/* ToolTip Background Color */
if (color.r == 16/255.0 && color.g == 0/255.0 && color.b == 16/255.0 ) {
color = vec4(0.2667, 0.2078, 0.2, 0.92);
}

/* Tooltip Border Color */
if (color.r >= 0.15686 && color.r <= 0.31373 && color.g == 0 && color.b >= 0.49 && color.b <= 1) {
color = vec4(0.3529, 0.2863, 0.2627, 0.95);
}

/* ToolTip Hightlight Text Color */
if (color.r == 84/255.0 && color.g == 84/255.0 && color.b == 252/255.0 ) {
color = vec4(0.2667, 0.2078, 0.2, 0.95);
}




/* Unavailable Craft Color Hover */
if (color.r == 255/255.0 && color.g == 0/255.0 && color.b == 0/255.0 && color.a >= 48/255.0 && color.a <= 49/255.0) {
color = vec4(0.7882, 0.3647, 0.3765, 0.40);
}

/* Inventory Slot Hover Color */
if (color.r == 255/255.0 && color.g == 255/255.0 && color.b == 255/255.0 && color.a == 128/255.0) {
color = vec4(0.8275, 0.7529, 0.6078, 0.45);
}


/* F3 Screen Text BG */
if (color.r <= 81/255.0 && color.r > 79/255.0 && color.g <= 81/255.0 && color.g > 79/255.0 && color.b <= 81/255.0 && color.b > 79/255.0 && color.a <= 144/255.0 && color.a >= 141/255.0) {
color = vec4(0.3686, 0.2784, 0.2902, 0.50);
}



/* World Loading Screen Black */
if(color.r <= 7/255.0 && color.r > 5/255.0 && color.g <= 5/255.0 && color.g > 3/255.0 && color.b <= 5/255.0 && color.b > 3/255.0){
color = vec4(0.1451, 0.0941, 0.1216, color.a);
} 

/* World Loading Screen Grey */
if(color.r <= 154/255.0 && color.r > 152/255.0 && color.g <= 154/255.0 && color.g > 152/255.0 && color.b <= 154/255.0 && color.b > 152/255.0){
color = vec4(0.1412, 0.1059, 0.1098, color.a);
} 

/* World Loading Screen White */
if(color.r <= 256/255.0 && color.r > 254/255.0 && color.g <= 256/255.0 && color.g > 254/255.0 && color.b <= 256/255.0 && color.b > 254/255.0){
color = vec4(0.9529, 0.9059, 0.8549, 0.85);
} 

/* World Loading Screen Lime */
if(color.r <= 129/255.0 && color.r > 127/255.0 && color.g <= 179/255.0 && color.g > 177/255.0 && color.b <= 83/255.0 && color.b > 81/255.0){
color = vec4(0.1294, 0.502, 0.4157, color.a);
} 

/* World Loading Screen Blue */
if(color.r <= 49/255.0 && color.r > 47/255.0 && color.g <= 54/255.0 && color.g > 52/255.0 && color.b <= 115/255.0 && color.b > 113/255.0){
color = vec4(0.1255, 0.4235, 0.4235, color.a);
} 

/* World Loading Screen Dark Purple */
if(color.r <= 96/255.0 && color.r > 94/255.0 && color.g <= 98/255.0 && color.g > 96/255.0 && color.b <= 146/255.0 && color.b > 143/255.0){
color = vec4(0.1333, 0.4549, 0.4471, color.a);
} 

/* World Loading Screen Green */
if(color.r <= 34/255.0 && color.r > 32/255.0 && color.g <= 199/255.0 && color.g > 197/255.0 && color.b <= 1/255.0 && color.b > -1/255.0){
color = vec4(0.549, 0.7686, 0.4824, color.a);
} 

/* World Loading Screen Light Gray */
if(color.r <= 210/255.0 && color.r > 203/255.0 && color.g <= 210/255.0 && color.g > 203/255.0 && color.b <= 210/255.0 && color.b > 203/255.0){
color = vec4(0.6784, 0.8039, 0.5098, color.a);
} 
 
/* World Loading Screen Light Light Gray */
if(color.r <= 239/255.0 && color.r > 237/255.0 && color.g <= 239/255.0 && color.g > 237/255.0 && color.b <= 239/255.0 && color.b > 237/255.0){
color = vec4(0.9137, 0.8627, 0.8, color.a);
} 
 
/* World Loading Screen Dark Gray */
if(color.r <= 110/255.0 && color.r > 108/255.0 && color.g <= 103/255.0 && color.g > 101/255.0 && color.b <= 93/255.0 && color.b > 91/255.0){
color = vec4(0.2745, 0.5961, 0.4392, color.a);
} 
 
/* World Loading Screen Dark Yellow */
if(color.r <= 115/255.0 && color.r > 113/255.0 && color.g <= 105/255.0 && color.g > 103/255.0 && color.b <= 10/255.0 && color.b > 8/255.0){
color = vec4(0.4588, 0.7059, 0.4824, color.a);
}

/* World Loading Screen Red */
if(color.r <= 243/255.0 && color.r > 241/255.0 && color.g <= 97/255.0 && color.g > 95/255.0 && color.b <= 97/255.0 && color.b > 95/255.0){
color = vec4(0.9373, 0.502, 0.3843, color.a);
}


/* Player Reporting GUI Player BG */
if(color.r <= 75/255.0 && color.r > 73/255.0 && color.g <= 75/255.0 && color.g > 73/255.0 && color.b <= 75/255.0 && color.b > 73/255.0){
color = vec4(0.3529, 0.2863, 0.2627, 1);
}

/* Player Reporting GUI Search Bar Outline */
if(color.r <= 162/255.0 && color.r > 158/255.0 && color.g <= 162/255.0 && color.g > 158/255.0 && color.b <= 162/255.0 && color.b > 158/255.0){
color = vec4(0.5882, 0.5098, 0.4941, 1);
}



/* New World Text Field Outline */
if(color.r <= 163/255.0 && color.r > 159/255.0 && color.g <= 162/255.0 && color.g > 158/255.0 && color.b <= 160/255.0 && color.b > 156/255.0){
color = vec4(0.5882, 0.5098, 0.4941, 1);
}



    fragColor = color * ColorModulator;
}
